List deployment history
curl --request GET \
--url https://api.example.com/v1/api/deployments/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/api/deployments/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/api/deployments/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"environments": [
"<string>"
],
"deployments": [
{
"deployableName": "<string>",
"appId": "<string>",
"targetEnvironment": {
"id": "<string>",
"name": "<string>",
"branch": "<string>",
"mappingRevision": "<string>"
},
"commitSha": "<string>",
"deployableKind": "app",
"environment": "production",
"createdAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"gitRef": "<string>",
"githubDeploymentId": "<string>",
"hostname": "<string>",
"imageDigest": "<string>",
"imagePlatform": "<string>",
"kind": "deploy",
"manifestDigest": "<string>",
"sourceInputDigest": "<string>",
"serverId": "<string>",
"sourceId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"state": "queued",
"trigger": "rollback",
"updatedAt": "2023-11-07T05:31:56Z",
"queueBlocker": "server_capacity"
}
],
"pagination": {
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
},
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}List deployment history
List deployment history through the Towbar REST API.
GET
/
deployments
/
history
List deployment history
Required permissions: deployment.read. Personal keys are capped by their owner’s current team role.
See request conventions and automation workflows. MCP clients use the task-oriented tool catalogue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000000Required range:
1 <= x <= 100Available options:
production, preview Pattern:
^[a-z][a-z0-9-]{0,62}$Available options:
app, resource Available options:
queued, waiting_for_server, preparing, validating_credentials, checking_server, fetching_source, resolving_secrets, transferring, building, running_pre_deploy, starting_candidate, checking_health, configuring_routing, provisioning_tls, checking_public_endpoint, switching_traffic, running_post_deploy, cleaning_up, succeeded, succeeded_with_warnings, skipped, failed, cancelled Available options:
auto_deploy, manual, rollback Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
newest, oldest, name_asc, name_desc Last modified on September 5, 2026
